Package org.apache.jmeter.protocol.jms.sampler.render

# Interface Renderers

public interface Renderers
Renderer API entry point.

- ## Method Summary

  Static Methods
  Modifier and Type
  Method
  Description
  `static MessageRenderer<byte[]>`
  `getBinary()`
  `static <T> MessageRenderer<T>`
  `getInstance(Class<T> type)`
  `static MessageRenderer<Map<String,Object>>`
  `getMap()`
  `static MessageRenderer<Serializable>`
  `getObject()`
  `static MessageRenderer<String>`
  `getText()`

- ## Method Details

  - ### getText

    static MessageRenderer<String> getText()

  - ### getBinary

    static MessageRenderer<byte[]> getBinary()

  - ### getObject

    static MessageRenderer<Serializable> getObject()

  - ### getMap

    static MessageRenderer<Map<String,Object>> getMap()

  - ### getInstance

    static <T> MessageRenderer<T> getInstance(Class<T> type)